r34627 - in /trunk/libwww-search-perl/debian: control make-module.sh rules

ryan52-guest at users.alioth.debian.org ryan52-guest at users.alioth.debian.org
Sat May 2 03:33:00 UTC 2009


Author: ryan52-guest
Date: Sat May  2 03:32:54 2009
New Revision: 34627

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=34627
Log:
only test when being built by me (preumably), when the tests fail actually error out

Modified:
    trunk/libwww-search-perl/debian/control
    trunk/libwww-search-perl/debian/make-module.sh
    trunk/libwww-search-perl/debian/rules

Modified: trunk/libwww-search-perl/debian/control
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libwww-search-perl/debian/control?rev=34627&op=diff
==============================================================================
--- trunk/libwww-search-perl/debian/control (original)
+++ trunk/libwww-search-perl/debian/control Sat May  2 03:32:54 2009
@@ -7,6 +7,7 @@
 Standards-Version: 3.8.1
 Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libwww-search-perl/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libwww-search-perl/
+X-Test-Requires: I18N::Charset, IO::Capture, Test::Pod, Test::Pod::Coverage, Test::File
 
 Package: libwww-search-perl
 Architecture: all

Modified: trunk/libwww-search-perl/debian/make-module.sh
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libwww-search-perl/debian/make-module.sh?rev=34627&op=diff
==============================================================================
--- trunk/libwww-search-perl/debian/make-module.sh (original)
+++ trunk/libwww-search-perl/debian/make-module.sh Sat May  2 03:32:54 2009
@@ -10,6 +10,16 @@
 echo "PERL5LIB = $PERL5LIB"
 echo "DESTDIR = $DESTDIR"
 echo "=========================================================================="
+
+if [ "$1" = "check" ]; then
+    if [ -f runtests ]; then
+        if [ "$(dpkg-parsechangelog  | awk '/^Distribution: /{print $2}')" != "UNRELEASED" ]; then
+            echo "Do not release this package with runtests"
+            exit 1
+        fi
+        for i in $(grep X-Test-Requires: debian/control  | cut -d: -f2- | sed -e 's/^ //' -e 's/,//g'); do perl -M$i -e '' 2>/dev/null >/dev/null || { echo "Missing: $i, install $(echo $i | awk '{print tolower($0);}' | sed -e 's/^/lib/' -e 's/$/-perl/' -e 's/::/-/g') or package it"; exit 1; }; done
+    fi
+fi
 
 #--- unpacking tar.gz in proper folders
 if [ "$1" = "unpack" ]; then
@@ -32,7 +42,7 @@
 fi
 
 if [ "$1" = "build" ]; then
-
+    set -x
 	cd build-area
 	for dir in *
 	do
@@ -43,14 +53,19 @@
 				cd $module
         		if [ -r Build.PL ];
 		        then
+                            
 					$PERL Build.PL installdirs=vendor
 					$PERL Build
-					$PERL Build test
+                                        if [ -f ../../../runtests ]; then
+					$PERL Build test || { echo "TESTS FAILED"; exit 1; }
+                                        fi
 					$PERL Build install destdir=$DESTDIR
 	        	else
 					PERL5LIB=$PERL5LIB $PERL Makefile.PL INSTALLDIRS=vendor --skipdeps
 					PERL5LIB=$PERL5LIB $MAKE
-					PERL5LIB=$PERL5LIB $MAKE test
+                                        if [ -f ../../../runtests ]; then
+					PERL5LIB=$PERL5LIB $MAKE test || { echo "TESTS FAILED"; exit 1; }
+                                        fi
 					$MAKE install DESTDIR=$DESTDIR
 	    	    fi
 				cd ..

Modified: trunk/libwww-search-perl/debian/rules
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libwww-search-perl/debian/rules?rev=34627&op=diff
==============================================================================
--- trunk/libwww-search-perl/debian/rules (original)
+++ trunk/libwww-search-perl/debian/rules Sat May  2 03:32:54 2009
@@ -9,6 +9,12 @@
 	DESTDIR=$(DESTDIR) debian/make-module.sh unpack
 	DESTDIR=$(DESTDIR) debian/make-module.sh build
 
+build:
+	DESTDIR=$(DESTDIR) debian/make-module.sh check
+	dh $@
+
 clean:
 	dh $@
 	rm -fr build-area
+
+.PHONY: clean build override_dh_auto_build




More information about the Pkg-perl-cvs-commits mailing list